*******************************************************************************************
** Script to plot kernel densities of various variables for Figure 3									 **
*******************************************************************************************
use "$datapath/Chapman_QJPS_2018expanded.dta",clear
set scheme s2color 
sort id financialYearEnd
// Generate log variables
gen logPopn1891=log(popn1891)
gen logDensity=log(density)

// Density graphs
#delimit; 
tw kdensity logPopn1891 
	if nonmb==0 & financialYearEnd==1894 
	|| kdensity logPopn1891  
	if nonmb==1 & financialYearEnd==1894
	, lpattern(-) 
	name(popn1891density, replace) 
	title("") 
	ylab(,nogrid)
	xtitle("Log 1891 population")
	ytitle("Kernel density") 
	graphregion(color(white)) bgcolor(white)
	legend(label(1 "Incorporated") label(2 "Unincorporated")) 
	nodraw
;

tw kdensity logDensity 
	if f3.nonmb==0 & financialYearEnd==1891
	|| kdensity logDensity 
	if f3.nonmb==1 & financialYearEnd==1891 
	, lpattern(-) 
	name(density1891density, replace) 
	title("") 
	ylab(,nogrid)
	xtitle("Log 1891 population density") 
	ytitle("Kernel density") 
	graphregion(color(white)) bgcolor(white)
	legend(label(1 "Incorporated") label(2 "Unincorporated")) 
	nodraw
;
	
tw kdensity pctAgriculture1881 	
	if nonmb==0 & financialYearEnd==1894 
	|| kdensity pctAgriculture1881  
	if nonmb==1 & financialYearEnd==1894
	, lpattern(-) 
	name(density1891pctAgric, replace) 
	title("") xtitle("1881 % workforce in agriculture") 
	ylab(,nogrid)
	ytitle("Kernel density") 
	graphregion(color(white)) bgcolor(white)
	legend(label(1 "Incorporated") label(2 "Unincorporated")) 
	nodraw
;
	
tw kdensity pcNrateableValueComb
	if nonmb==0 & financialYearEnd==1894 &pcNrateableValueComb<10
	|| kdensity pcNrateableValueComb 
	if nonmb==1 & financialYearEnd==1894 &pcNrateableValueComb<10 
	, lpattern(-) 
	name(density1891rateVal, replace) 
	title("") 
	ylab(,nogrid)
	xtitle("1893 tax base per capita (<£10)") 
	ytitle("Kernel density") 
	graphregion(color(white)) bgcolor(white)
	legend(label(1 "Incorporated") label(2 "Unincorporated")) 
	nodraw
;
count if f2.nonmb==0 & financialYearEnd==1891 &pcNrateableValueComb>=10 &pcNrateableValueComb<.;
count if f2.nonmb==1 & financialYearEnd==1891 &pcNrateableValueComb>=10 &pcNrateableValueComb<.;

grc1leg popn1891density density1891density density1891pctAgric density1891rateVal 
, graphregion(fcolor(white) lwidth(large) lcolor(white));
	
graph export "$outputpath/figure3.tif", replace	 width(3543);

#delimit cr

	
