****************************************************************************************************************
** Script to create maps of towns in dataset (Figure 4)
****************************************************************************************************************
use "$datapath/Chapman_QJPS_2018analysis.dta",clear
bysort id:gen tempID=_n /** 1 observation per town **/
keep if tempID==1&usedWeight==1
drop id
gen id=_n

// Make separate graphs for Mbs and Non-MBs
** Generate temporary locations variables to do so
gen eastingTemp=easting if nonmb==1
gen northingTemp=northing if nonmb==1
** Non-MBs
#delimit;
spmap using "$datapath/EW1891_regCountiesCoords"
	,id(id)
	point(xcoord(eastingTemp) ycoord(northingTemp) size(small)  shape(O D))
	title("Unincorporated") name(mapNonMBs,replace);	
#delimit cr	
drop eastingTemp northingTemp

** MBs
capture drop eastingTemp northingTemp
gen eastingTemp=easting if nonmb==0
gen northingTemp=northing if nonmb==0	
#delimit;
spmap using "$datapath/EW1891_regCountiesCoords"
	,id(id)
	point(xcoord(eastingTemp) ycoord(northingTemp) size(small)  shape(O))
	title("Incorporated") name(mapMBs,replace);	
#delimit cr
drop eastingTemp northingTemp	
		
gr combine mapNonMBs mapMBs	,graphregion(fcolor(white) lwidth(large) lcolor(white))

// Export map as jpg
gr export "$outputpath/figure4.tif", replace  width(3543)
	
