******************************************************************************************
** Graphs the trend in prices and real spending p.c. for Appendix figure C3						 			**
******************************************************************************************
use "$datapath/Chapman_QJPS_2018analysis.dta",clear

******************************************************************************************
** Preliminaries: define sample 
******************************************************************************************
// Keep those without missing data to ensure same dataset across specifications
keep if forRegression==1

// Drop those not in matched sample
keep if usedWeight==1
******************************************************************************************
collapse  pcNexpCurrentTotal pcexpCurrentTotalReal newPrice, by(financialYearStart)

foreach var of varlist pcNexpCurrentTotal pcexpCurrentTotalReal newPrice {
	gen temp=`var' if financialYearStart==1883
	egen temp2=max(temp)
	gen I`var'=`var'*100/temp2
	drop temp temp2
	
}
	
#delimit;	
line  IpcNexpCurrentTotal IpcexpCurrentTotalReal InewPrice financialYearStart
		, ytitle(Indexed value (1883=100),size(small)) 
		legend(size(small) 
		label(1 "Expenditure p.c. (current prices)") 
		label(2 "Expenditure p.c. (constant prices)") 
		label(3 "Rousseaux price index")
		region(lcolor(white))) 
		lpattern(l _ -) xscale(r(1883 1903)) 
		xlabel(1883(5)1903, labsize(small)) 
		ylabel(, labsize(small)) 
		xtitle("") xline(1894)
		graphregion(fcolor(white) lwidth(large) lcolor(white))
		name(priceTrends, replace) 
;

graph export "$outputpath/app_figureC3.tif",replace width(3543);

#delimit cr
