(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14936,        418]
NotebookOptionsPosition[     14154,        390]
NotebookOutlinePosition[     14526,        406]
CellTagsIndexPosition[     14483,        403]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Code to produce figure 1 (axis labels added separately)", "Text",
 CellChangeTimes->{{3.726740553034277*^9, 
  3.72674058443537*^9}},ExpressionUUID->"b166835a-2a66-4fd1-b1b9-\
fd43f331b4c6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{"Define", " ", "utility", " ", "function"}], "*)"}], "Text"], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"U", "[", 
     RowBox[{"t_", ",", "y_", ",", "d_", ",", "z_", ",", "c_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "d"}], ")"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"y", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "t"}], ")"}]}], " ", "-", " ", "c"}], ")"}], " ",
        "^", 
       RowBox[{"(", "d", ")"}]}]}], "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"t", " ", "z"}], ")"}], "^", "0.5"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"t", ",", "y", ",", "d", ",", "z", ",", "c"}], "]"}], ",", 
     "t"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"U", "[", 
      RowBox[{"t", ",", "y", ",", "0.5", ",", "2", ",", "1"}], "]"}], ",", 
     "t"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"U", "[", 
         RowBox[{"t", ",", "y", ",", "0.5", ",", "z", ",", "c"}], "]"}], 
        "\[Equal]", "0"}], ",", "t"}], "]"}], ",", "t"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Define", " ", "optimal", " ", "tax", " ", "function", " ", "using", " ", 
     "previous", " ", "result"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "[", 
     RowBox[{"y_", ",", "z_", ",", "c_"}], "]"}], "=", 
    RowBox[{"z", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"y", "-", "c"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", 
         RowBox[{"y", "^", "2"}]}], " ", "+", 
        RowBox[{"y", " ", "z"}]}], ")"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{"y_", ",", "z_", ",", "c_"}], "]"}], "=", 
    RowBox[{"z", " ", 
     RowBox[{"t", "[", 
      RowBox[{"y", ",", "z", ",", "c"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"Maximize", "[", 
    RowBox[{
     RowBox[{"t", "[", 
      RowBox[{"y", ",", "2", ",", "1"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ">", "0"}], "}"}], ",", "y"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ymax", "=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"6", "^", "0.5"}], ")"}], "/", "2"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"imgSize", "=", "750"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Saves", " ", "to", " ", "mathematica", " ", "working", " ", 
     "directory"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<figure1.png\>\"", ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"y", ",", "2", ",", "1"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "1", ",", "6"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0.25"}], "}"}]}], ",", 
       RowBox[{"Ticks", "->", "None"}], ",", 
       RowBox[{"ImagePadding", "\[Rule]", "50"}], ",", 
       RowBox[{"PlotRangeClipping", "\[Rule]", "False"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ymax", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"ymax", ",", "2", ",", "1"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"ymax", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ymax", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"ymax", ",", "2", ",", "1"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"ymax", ",", "2", ",", "1"}], "]"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"4.76", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"1.4", ",", "2", ",", "1"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"1.4", ",", "2", ",", "1"}], "]"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1.4", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1.4", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"1.4", ",", "2", ",", "1"}], "]"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"4.76", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"4.76", ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"1.4", ",", "2", ",", "1"}], "]"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "imgSize"}]}], "]"}], ",", 
     RowBox[{"ImageResolution", "\[Rule]", "600"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.694674290988668*^9, 3.6946743599345617`*^9}, {
   3.694674493908958*^9, 3.694674498508418*^9}, {3.694674776401204*^9, 
   3.694674845620126*^9}, {3.6946748972712903`*^9, 3.6946750419807596`*^9}, {
   3.6946752077383337`*^9, 3.694675457039262*^9}, {3.694675505700127*^9, 
   3.694675634976053*^9}, {3.69467575275183*^9, 3.694675834430997*^9}, {
   3.6946758683213854`*^9, 3.694675906321185*^9}, {3.6946762340019503`*^9, 
   3.694676381304679*^9}, {3.6946764183633842`*^9, 3.6946764692114687`*^9}, {
   3.6946765932188683`*^9, 3.6946765956651125`*^9}, {3.69467664304685*^9, 
   3.6946766759421396`*^9}, {3.6946767223767824`*^9, 
   3.6946768279483385`*^9}, {3.6946768723007736`*^9, 
   3.6946768836319065`*^9}, {3.6946769237949224`*^9, 
   3.6946769524647894`*^9}, {3.6946769851400566`*^9, 3.694677012246767*^9}, {
   3.6946770746480064`*^9, 3.6946771161351547`*^9}, {3.6946772168142214`*^9, 
   3.6946772373962793`*^9}, {3.6946772698085203`*^9, 
   3.6946774680423417`*^9}, {3.6946775409916363`*^9, 
   3.6946775655640926`*^9}, {3.694677816088143*^9, 3.6946778781233454`*^9}, {
   3.694677932402773*^9, 3.694677949521485*^9}, {3.694678123231854*^9, 
   3.6946781414156723`*^9}, {3.6946781719897294`*^9, 3.694678210568587*^9}, {
   3.694678287955325*^9, 3.6946782899325223`*^9}, {3.7129893993113203`*^9, 
   3.712989521033873*^9}, {3.7129896045693502`*^9, 3.7129896104090004`*^9}, {
   3.712989653304851*^9, 3.7129896615385184`*^9}, {3.7129897625461807`*^9, 
   3.7129898647509675`*^9}, {3.7129899045922194`*^9, 3.712990271310999*^9}, {
   3.7129903149191303`*^9, 3.7129903676708155`*^9}, {3.7129904040464015`*^9, 
   3.712990438894545*^9}, {3.7129905341914454`*^9, 3.7129905489026504`*^9}, 
   3.7129908364707556`*^9, {3.7129908701591296`*^9, 3.7129909649355497`*^9}, {
   3.71299103550299*^9, 3.71299104207065*^9}, {3.712991114744387*^9, 
   3.7129911216943097`*^9}, {3.712991280403092*^9, 3.712991414519373*^9}, {
   3.7129914870219717`*^9, 3.712991490929026*^9}, {3.712991707302267*^9, 
   3.712991793157943*^9}, {3.712991831877956*^9, 3.7129918684540462`*^9}, {
   3.712991943223025*^9, 3.712992006237489*^9}, {3.7129921157900553`*^9, 
   3.7129921962561007`*^9}, {3.712992234072276*^9, 3.712992282638236*^9}, {
   3.7129923277325163`*^9, 3.7129924153644733`*^9}, {3.712992476408214*^9, 
   3.7129925004771223`*^9}, {3.7129925597249317`*^9, 
   3.7129929711064243`*^9}, {3.7129932361334276`*^9, 
   3.7129932713004494`*^9}, {3.7129934591478977`*^9, 
   3.7129935767642612`*^9}, {3.7129938612683105`*^9, 3.712993907685802*^9}, {
   3.71299469852606*^9, 3.7129948137329645`*^9}, 3.7129949074283485`*^9, {
   3.726737345589596*^9, 3.7267374023258314`*^9}, {3.7267386218333673`*^9, 
   3.7267386221845875`*^9}, {3.726738663499403*^9, 3.72673872432679*^9}, {
   3.726738950936679*^9, 3.726739002625723*^9}, {3.726739057174984*^9, 
   3.7267390672960973`*^9}, {3.726739398699175*^9, 3.7267394039198446`*^9}, 
   3.726739449362834*^9, {3.726739479842266*^9, 3.7267395045116158`*^9}, {
   3.726739538179296*^9, 3.7267395387977295`*^9}, {3.726739584707992*^9, 
   3.7267396016259084`*^9}, {3.726739660322196*^9, 3.726739711870451*^9}, {
   3.726739764435418*^9, 3.7267398655275087`*^9}, {3.7267399506023264`*^9, 
   3.7267400105985374`*^9}, {3.7267400457082367`*^9, 
   3.7267401304878654`*^9}, {3.726740541202649*^9, 3.726740551317069*^9}, {
   3.7267405865058002`*^9, 3.7267405870972424`*^9}, {3.7277551603411384`*^9, 
   3.7277551895225935`*^9}, {3.7277552590597706`*^9, 3.727755267829553*^9}, {
   3.7377149143874464`*^9, 3.7377149354461527`*^9}},
 ExpressionUUID -> "b3a90690-297c-4019-8242-55489517e790"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "c"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "t"}], ")"}], " ", "y"}]}], ")"}], "d"], "d"], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"t", " ", "z"}], ")"}], "0.5`"]}]], "Output",
 CellChangeTimes->{3.7377149853804083`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "y"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "c"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "t"}], ")"}], " ", "y"}]}], ")"}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]]}], "+", 
  FractionBox[
   RowBox[{"0.5`", " ", "z"}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"t", " ", "z"}], ")"}], "0.5`"]]}]], "Output",
 CellChangeTimes->{3.7377149853833995`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["0.7071067811865476`", 
   SuperscriptBox["t", "0.5`"]], "-", 
  FractionBox[
   RowBox[{"1.`", " ", "y"}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "t"}], ")"}], " ", "y"}]}], ")"}], 
    "0.5`"]]}]], "Output",
 CellChangeTimes->{3.7377149853848968`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"1.`", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1.`", " ", "c", " ", "z"}], "-", 
         RowBox[{"1.`", " ", "y", " ", "z"}]}], ")"}]}], 
      RowBox[{"y", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4.`", " ", "y"}], "+", "z"}], ")"}]}]]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7377149853868933`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "c"}], "+", "y"}], ")"}], " ", "z"}], 
  RowBox[{
   RowBox[{"4", " ", 
    SuperscriptBox["y", "2"]}], "+", 
   RowBox[{"y", " ", "z"}]}]]], "Output",
 CellChangeTimes->{3.7377149853903866`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "c"}], "+", "y"}], ")"}], " ", 
   SuperscriptBox["z", "2"]}], 
  RowBox[{
   RowBox[{"4", " ", 
    SuperscriptBox["y", "2"]}], "+", 
   RowBox[{"y", " ", "z"}]}]]], "Output",
 CellChangeTimes->{3.737714985391884*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          SqrtBox["6"]}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "+", 
       SqrtBox["6"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       SqrtBox["6"]}], ")"}]}]], ",", 
   RowBox[{"{", 
    RowBox[{"y", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        SqrtBox["6"]}], ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.737714985422328*^9}],

Cell[BoxData["2.224744871391589`"], "Output",
 CellChangeTimes->{3.7377149854233255`*^9}],

Cell[BoxData["750"], "Output",
 CellChangeTimes->{3.7377149854248233`*^9}],

Cell[BoxData["\<\"figure1.png\"\>"], "Output",
 CellChangeTimes->{3.7377149924687357`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"SystemOpen", "[", 
  RowBox[{"DirectoryName", "[", 
   RowBox[{"AbsoluteFileName", "[", "\"\<figure1.png\>\"", "]"}], "]"}], 
  "]"}]], "Input",
 NumberMarks->False,ExpressionUUID->"0c87456a-12a1-4a91-a93a-b3287411b873"]
},
WindowSize->{1370, 729},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.3 Inherited,
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 196, 3, 39, "Text"],
Cell[CellGroupData[{
Cell[779, 27, 9784, 221, 590, "Input"],
Cell[10566, 250, 373, 13, 69, "Output"],
Cell[10942, 265, 491, 18, 70, "Output"],
Cell[11436, 285, 398, 14, 71, "Output"],
Cell[11837, 301, 480, 16, 70, "Output"],
Cell[12320, 319, 282, 10, 68, "Output"],
Cell[12605, 331, 305, 11, 72, "Output"],
Cell[12913, 344, 716, 27, 99, "Output"],
Cell[13632, 373, 89, 1, 39, "Output"],
Cell[13724, 376, 74, 1, 39, "Output"],
Cell[13801, 379, 90, 1, 96, "Output"]
}, Open  ]],
Cell[13906, 383, 244, 5, 39, "Input"]
}
]
*)

